<div class="page" data-ng-controller="TasksController as vm">
    <div class="row">
        <div class="col-xs-6">
            <h2 class="section-header" style="margin-top: 0;"><span data-translate="TASKS"></span></h2>
        </div>
        <div class="right pull-right no-print">
            <div class="col-md-2" style="padding-right: 4.5rem;">
                <button ui-wave
                        data-ng-disabled="!isCollapsed"
                        class="btn btn-primary" ng-click="vm.taskAdd()"><span data-translate="CREATE_TASK"></span></button>
            </div>
        </div>
        <div class="right pull-right no-print">
            <div class="col-md-2">
                <button ui-wave
                        data-ng-disabled="!isCollapsed"
                        class="btn btn-primary" ng-click="vm.sendEmail()">
                    <span data-translate="SHARE"></span>
                    <span> &nbsp <i class="fa fa-envelope"></i></span></button>
            </div>
        </div>
    </div>

    <div class="row col-md-12" uib-collapse="isCollapsed" ng-include="'events/tasks/editTask.html'">
    </div>

    <div class="row col-md-12" id="tasks">
        <div>
            <table class="table table-responsive no-margin table-hover">
                <thead>
                    <tr>
                        <th style="width: 5%;">  </th>
                        <th style="width: 75%;">  Compromisso </th>
                        <th style="width: 5%;">  Data </th>
                        <th style="width: 5%;">  Hora </th>
                        <th style="width: 5%;" class="mobile-hide">  Infos </th>
                        <th style="width: 5%;">  </th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="task in vm.eventInfo.tasks | filter:false as taksUndone" ng-hide="taksUndone.length === 0">
                        <td> <md-checkbox ng-model="task.done" ng-change="vm.toggleDone(task)" aria-label="Task done"></md-checkbox> </td>
                        <td> {{ task.name }} </td>
                        <td> {{ task.dueDate | date: "dd/MM/yyyy" }} </td>
                        <td> {{ task.dueDate | date: "HH:mm" }} </td>
                        <td class="mobile-hide"
                            tooltip-placement="left"
                            tooltip-class="customClass" uib-tooltip="{{ task.info }}"
                            tooltip-append-to-body="true"
                            style="text-align: center">
                            <i ng-if="!task.info" style="color: #d8d8d8" class="fa fa-2x fa-info"></i>
                            <i ng-if="task.info" class="fa fa-2x fa-info"></i>
                        </td>
                        <td>
                            <section class="pull-right no-print" layout="row" layout-align="center center">
                                <md-button class="md-icon-button edit"
                                           aria-label="Editar compromisso."
                                           ng-click="vm.taskEdit(task)">
                                    <span><i class="zmdi zmdi-edit zmdi-hc-lg"></i></span>
                                </md-button>
                                <md-button class="md-icon-button edit"
                                           aria-label="Apagar compromisso."
                                           ng-click="vm.taskDelete(task)"><span><i class="zmdi zmdi-delete zmdi-hc-lg"></i></span>
                                </md-button>
                            </section>
                        </td>
                    </tr>
                    <tr ng-repeat="task in vm.eventInfo.tasks | filter:true as tasksDone track by task._id" ng-hide="tasksDone.length === 0">
                        <td> <md-checkbox ng-model="task.done" ng-change="vm.toggleDone(task)" aria-label="Task done"></md-checkbox> </td>
                        <td> <s> {{ task.name }} </s> </td>
                        <td> <s> {{ task.dueDate | date: "dd/MM/yyyy" }} </s> </td>
                        <td> <s> {{ task.dueDate | date: "HH:mm" }} </s> </td>
                        <td class="mobile-hide"
                            tooltip-placement="top"
                            tooltip-class="customClass" uib-tooltip="{{ task.info }}"
                            tooltip-append-to-body="true"
                            style="text-align: center">
                            <i ng-if="!task.info" style="color: #d8d8d8" class="fa fa-2x fa-info"></i>
                            <i ng-if="task.info" class="fa fa-2x fa-info"></i>

                        </td>
                        <td>
                            <section class="pull-right no-print" layout="row" layout-align="center center">
                                <md-button class="md-icon-button edit"
                                           aria-label="Editar compromisso."
                                           ng-click="vm.taskEdit(task)">
                                    <span><i class="zmdi zmdi-edit zmdi-hc-lg"></i></span>
                                </md-button>
                                <md-button class="md-icon-button edit"
                                           aria-label="Apagar compromisso."
                                           ng-click="vm.taskDelete(task)"><span><i class="zmdi zmdi-delete zmdi-hc-lg"></i></span>
                                </md-button>
                            </section>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
